QGIS Application - Bug report #20594
Can not open a shell (GRASS Shell) in QGIS 3.4.1 with GRASS 7.4.2
2018-11-22 02:47 PM - Olivier ATHIMON

Status: Open

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:3.4.1 Regression?: Yes
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28414
Description

Can not open a shell (GRASS Shell) when i click on icon in GRASS MODULES dialog for "QGIS 3.4.1 with GRASS 7.4.2" (same

problem for "QGIS 3.5.0 with GRASS 7.4.2 (Nightly)" : QGIS code revision 5603546¢26)

Configuration having a problem :

Windows 7 + QGIS 3.4.1 with GRASS 7.4.2

Windows 7 + QGIS 3.5.0 with GRASS 7.4.2 - code revision 5603546¢c26
Same problem for : Windows 10 + QGIS 3.4.1 with GRASS 7.4.2

(not tried this configuration : Windows 10 + QGIS 3.5.0 with GRASS 7.4.2)

Configuration without problem :
It's running for "QGIS 2.18.25 with GRASS 6.4.3" or for "QGIS 2.18.25 with GRASS 7.4.2"

History

#1 - 2018-11-23 12:46 PM - Giovanni Manghi
- Priority changed from Normal to High

I'm really not sure what is the state of the GRASS plugin in QGIS 3 ...

#2 - 2018-11-30 11:28 AM - Olivier ATHIMON

- File GRASS_Modules_can_open_GRASS_Shell_in_Windows_QGIS_2-18-26_with_GRASS_7-4-2.jpg added

Under Windows : it works with "QGIS Desktop 2.18.16 with GRASS 7.4.2" to open a shell but still not with "QGIS Desktop 3.4.2 with GRASS 7.4.2",

nor "QGIS 3.5.0 with GRASS 7.4.2 (Nightly)" (we can open the Mapset for each version)
